Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/buglist.php File Reference

Go to the source code of this file.

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZBugMain", "Language" )
| $t
| $module = new eZBugModule( $ModuleID )
| $pathArray = $module->path()
foreach( $pathArray as $path) | $moduleList = $module->getByParent( $module, true )
if(isset( $Delete)) | $i =0
| $bugList = $module->bugs( "time", true, true )
| $locale = new eZLocale( $Language )
foreach( $bugList as $bug) if(count( $bugList) > 0) | else

## Variable Documentation

## ◆ $bugList

$bugList = $module->bugs( "time", true, true )

Definition at line 147 of file admin/buglist.php.

## ◆ $i

$i =0

Definition at line 103 of file admin/buglist.php.

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 37 of file admin/buglist.php.

## ◆ $Language

$Language = $ini->variable( "eZBugMain", "Language" )

Definition at line 39 of file admin/buglist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 149 of file admin/buglist.php.

## ◆ $module

$module = new eZBugModule( $ModuleID )

Definition at line 68 of file admin/buglist.php.

## ◆ $moduleList

foreach ($pathArray as $path) $moduleList = $module->getByParent( $module, true )

Definition at line 87 of file admin/buglist.php.

Referenced by eZModule\getAll().

## ◆ $pathArray

$pathArray = $module->path()

Definition at line 75 of file admin/buglist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
"kernel/ezbug/admin/intl/", $Language, "buglist.php" )
$Language
$Language
Definition: admin/buglist.php:39
$ini
$ini
Definition: admin/buglist.php:37
eZTemplate
Definition: eztemplate.php:107

Definition at line 41 of file admin/buglist.php.

## ◆ else

foreach ($bugList as $bug) if (count($bugList) > 0) else

Initial value:
{
$t->set_var( "bug_delete_button", "" )
$t
$t
Definition: admin/buglist.php:41

Definition at line 207 of file admin/buglist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.